### File

`packages/eui/packages/components-next/src/lib/components/eui-message-box/models/eui-message-box.config.ts`

### Index

###### Properties
Optional accept Optional acceptLabel Optional close Optional closeOnClickOutside Optional content Optional dismiss Optional dismissLabel Optional e2eAttr Optional footer Optional hasCloseButton Optional open Optional outsideClick Optional title Optional type

### Properties

accept
`accept: `function``
Type : `function`
Optional

acceptLabel
`acceptLabel: `string``
Type : `string`
Optional

close
`close: `function``
Type : `function`
Optional

closeOnClickOutside
`closeOnClickOutside: `boolean``
Type : `boolean`
Optional

content
`content: `string | TemplatePortal``
Type : `string | TemplatePortal`
Optional

dismiss
`dismiss: `function``
Type : `function`
Optional

dismissLabel
`dismissLabel: `string``
Type : `string`
Optional

e2eAttr
`e2eAttr: `string``
Type : `string`
Optional

footer
`footer: `TemplatePortal``
Type : `TemplatePortal`
Optional

hasCloseButton
`hasCloseButton: `boolean``
Type : `boolean`
Optional

open
`open: `function``
Type : `function`
Optional

outsideClick
`outsideClick: `function``
Type : `function`
Optional

title
`title: `string``
Type : `string`
Optional

type
`type: ```
Optional

# result-matching ""

# No results matching ""